<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.5
Name: Health Status Observation
Description: The Health Status Observation records information about the current health status of the patient.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000">
   <title>Health Status Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]
Item: (HealthStatusObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']"
         id="tmp-r-a60be807-16a5-45ea-b20f-e093c1debf7d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-9057: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-9072: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']/@nullFlavor)">(HealthStatusObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'])&lt;=1">(HealthStatusObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(HealthStatusObservation): element cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(HealthStatusObservation): element cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(HealthStatusObservation): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(HealthStatusObservation): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(HealthStatusObservation): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(HealthStatusObservation): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(HealthStatusObservation): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']"
         id="tmp-r-1d57d9b7-cbfe-4149-84dc-0ac5149e7ca5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.5')">conf-16757: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.5' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1778cf20-c42f-4f89-ade0-fd5a39805840">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or (@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')">(HealthStatusObservation): de elementwaarde MOET een zijn van 'code '11323-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text"
         id="tmp-r-5e20c74c-c417-4f29-b95e-a371f002661c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(HealthStatusObservation): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/cda:reference
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/cda:reference"
         id="tmp-r-151e2832-e15e-4cec-8095-7a11ac739205">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(HealthStatusObservation): SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
      <assert role="error" test="not(@value) or starts-with(@value, '#')">(HealthStatusObservation): SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:statusCode[@code='completed']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:statusCode[@code='completed']"
         id="tmp-r-7216dead-18a5-40fe-85ea-92ff27c3b68f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(HealthStatusObservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-455c1af0-e32e-4f46-a48d-b76f74facfee">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HealthStatusObservation): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.20.12 HealthStatus (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(HealthStatusObservation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.20.12 HealthStatus (DYNAMISCH).</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/*[not(self::cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5'])]"
         id="tmp-r-8474f5e7-030c-407c-8bdf-82c53b528ecb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-8474f5e7-030c-407c-8bdf-82c53b528ecb)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/*[not(self::cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']|self::cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::cda:text|self::cda:statusCode[@code='completed']|self::cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])]"
         id="tmp-r-3ef30744-d451-4bb8-bdf1-a79beef86763">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-3ef30744-d451-4bb8-bdf1-a79beef86763)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/*[not(self::cda:reference)]"
         id="tmp-r-673261b3-6c0c-47b3-ac04-8eb565c0964c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-673261b3-6c0c-47b3-ac04-8eb565c0964c)</assert>
   </rule>
</pattern>
