<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.80
Name: Encounter Diagnosis (V3)
Description: This template wraps relevant problems or diagnoses at the close of a visit or that need to be followed after the visit. If the encounter is associated with a Hospital Discharge, the Hospital Discharge Diagnosis must be used. This entry requires at least one Problem Observation entry.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000">
   <title>Encounter Diagnosis (V3)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]
Item: (EncounterDiagnosisV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']
Item: (EncounterDiagnosisV3)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']"
         id="tmp-r-54638214-ad3e-407e-a78f-abbaff61284a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="string(@classCode)=('ACT')">CONF:1198-14889: de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1198-14890: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80']/@nullFlavor)">(EncounterDiagnosisV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80'])&lt;=1">(EncounterDiagnosisV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="count(cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(EncounterDiagnosisV3): element cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="count(cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(EncounterDiagnosisV3): element cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']])&gt;=1 and not(cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']]/@nullFlavor)">(EncounterDiagnosisV3): element cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80']
Item: (EncounterDiagnosisV3)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80']"
         id="tmp-r-b02b804a-a74d-4312-a482-e08347da15d2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.80')">CONF:1198-14896: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.80' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="string(@extension)=('2015-08-01')">CONF:1198-32542: de waarde van @extension MOET '2015-08-01' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (EncounterDiagnosisV3)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-bdcd216c-d52b-44c3-a8c3-10f727920a1a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="@nullFlavor or (@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')">(EncounterDiagnosisV3): de elementwaarde MOET een zijn van 'code '29308-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']]
Item: (EncounterDiagnosisV3)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2015-08-01T000000.html"
              test="string(@typeCode)=('SUBJ')">CONF:1198-14893: de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>
