<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Name: KEZO Clinical Document Verwijzing
Description: CDA document voor de initiële verwijzing huisarts zorggroep
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000">
   <title>KEZO Clinical Document Verwijzing</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]
Item: (kezo-clinicaldocument-verwijzing)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']
Item: (kezo-clinicaldocument-verwijzing)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']"
         id="tmp-r-d0b51734-4a5a-43f4-9c05-30d16a3703ca">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:realmCode)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:typeId[@root='2.16.840.1.113883.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.50'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.50'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.50'])&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.50'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001']/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001'])&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:id)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:code[(@code='57133-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='57133-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:code[(@code='57133-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:code[(@code='57133-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:code[(@code='57133-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:title)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:languageCode[@code='nl-NL'])&gt;=1 and not(hl7:languageCode[@code='nl-NL']/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:languageCode[@code='nl-NL'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:languageCode[@code='nl-NL'])&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:languageCode[@code='nl-NL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:author)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:custodian)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:custodian komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:componentOf)&gt;=1 and not(hl7:componentOf/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:componentOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:componentOf)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:componentOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:component)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9026
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:realmCode
Item: (CDArealmCode)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:realmCode"
         id="tmp-r-e5275126-0d12-48a2-8d45-12c710a2dc1b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9026-2014-10-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9026-2014-10-06T000000.html"
              test="@code">(CDArealmCode): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9026-2014-10-06T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(CDArealmCode): attribuut @code MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@code,' ') return if ($code=('NL')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9026-2014-10-06T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(CDArealmCode): de waarde van code MOET 'code NL' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9016
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-f81b371f-8910-42e7-9dfa-37fabe1e9c5a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9016-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9016-2014-06-27T000000.html"
              test="string(@extension)=('POCD_HD000040')">(CDAtypeId): de waarde van @extension MOET 'POCD_HD000040' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9016-2014-06-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.1.3')">(CDAtypeId): de waarde van @root MOET '2.16.840.1.113883.1.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']
Item: (kezo-clinicaldocument-verwijzing)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']"
         id="tmp-r-d34b25c6-ea15-4086-bf64-e6d9fdafed9d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-clinicaldocument-verwijzing): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.50')">(kezo-clinicaldocument-verwijzing): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.50' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001']
Item: (kezo-clinicaldocument-verwijzing)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001']"
         id="tmp-r-96adc7c0-bf90-44bc-a44b-0c513eb3bf87">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-clinicaldocument-verwijzing): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100001')">(kezo-clinicaldocument-verwijzing): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100001' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9017
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:id
Item: (CDAid)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:id"
         id="tmp-r-a35c216e-bb57-44e8-b341-dde4e48a9525">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9017-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:code[(@code='57133-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (kezo-clinicaldocument-verwijzing)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:code[(@code='57133-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-50105168-1613-4b6f-9b76-24664654d072">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-clinicaldocument-verwijzing): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="@nullFlavor or (@code='57133-1' and @codeSystem='2.16.840.1.113883.6.1')">(kezo-clinicaldocument-verwijzing): de elementwaarde MOET een zijn van 'code '57133-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9018
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:title
Item: (CDAtitle)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:title"
         id="tmp-r-43e21510-209d-4243-b2fc-d84845dc03d8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9018-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9019
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:effectiveTime"
         id="tmp-r-07829bbb-6b9b-4831-8b24-74e3816f1508">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9019-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9020
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-722b195e-75d4-4ccd-99b9-687cd6f573b9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9020-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9020-2014-06-27T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16926 HL7 BasicConfidentialityKind (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9020-2014-06-27T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.16926 HL7 BasicConfidentialityKind (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9027
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:languageCode[@code='nl-NL']
Item: (CDAlanguageCode)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:languageCode[@code='nl-NL']"
         id="tmp-r-dc665c44-5bdc-4045-91cc-5ebe9a8c4a3e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9027-2014-10-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlanguageCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9027-2014-10-06T000000.html"
              test="@nullFlavor or (@code='nl-NL')">(CDAlanguageCode): de elementwaarde MOET een zijn van 'code 'nl-NL''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget"
         id="tmp-r-80dde728-975a-4c79-a8d4-a968ace9f3ea">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTarget): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTarget): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(CDArecordTarget): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-4979dd01-83b3-4eb3-a061-8e8909d0747f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTarget): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-76cda666-b5a6-44d1-9f4b-95bc8bd46282">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(CDArecordTarget): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="@extension">(CDArecordTarget): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-9f85b51c-02d0-48bf-b200-4fce175199d4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-r-9aa471f8-8a82-4a0b-bccd-d78b0be24ccd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-b6d97bde-7295-44c8-a655-7cbd10eabcc5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTarget): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTarget): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(sdtc:multipleBirthInd)&lt;=1">(CDArecordTarget): element sdtc:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:birthplace)&lt;=1">(CDArecordTarget): element hl7:birthplace komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-0f8ea452-f43f-4b22-bf91-1917e1aed5d1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-5387a231-022c-4e7e-aeab-3efe6a9f48ac">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-c76e7f3d-8259-4c6a-a150-e3901bd6a72f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/sdtc:multipleBirthInd
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/sdtc:multipleBirthInd"
         id="tmp-r-d4ec49df-a9a6-4084-91f4-397b632949d2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace"
         id="tmp-r-4a3c6b42-9d0f-499c-881a-99636f4302cf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:place)&gt;=1 ">(CDArecordTarget): element hl7:place is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTarget): element hl7:place komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place"
         id="tmp-r-52cf9796-4df7-400c-9afc-ea83e0bde2cf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:addr)&gt;=1 ">(CDArecordTarget): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTarget): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr"
         id="tmp-r-b5854a25-61c1-4b9a-81f3-bb821d5e4cc8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="elmcount" value="count(hl7:city|hl7:country)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="$elmcount&gt;=1">(CDArecordTarget): keuze (hl7:city of hl7:country) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="$elmcount&lt;=2">(CDArecordTarget): keuze (hl7:city of hl7:country) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:city)&lt;=1">(CDArecordTarget): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:country)&lt;=1">(CDArecordTarget): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:city
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:city"
         id="tmp-r-d2be4c90-f4b9-468c-9aec-0df4ef53a4bb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:country
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:country"
         id="tmp-r-a33af26f-9968-4553-8e26-0828198a1e02">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author"
         id="tmp-r-50307111-5f62-4e4b-abf8-0076a3b38a13">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAauthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:time"
         id="tmp-r-de7fb9a2-22d1-464e-a78b-9f7a683249da">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor"
         id="tmp-r-a6848f28-0a61-434b-abd7-5b5d7929090e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAauthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAauthor): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDAauthor): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDAauthor): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-f3565bb7-ace3-41bb-9f79-34e7adf8ea95">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-0edd10fd-0932-4de1-a53b-3760f76b6f38">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAauthor): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAauthor): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-b7fa81f1-931e-4af0-9bb6-4f2c1bee45e9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAauthor): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-fd8fdab3-c3ec-44ca-b8d1-c377311bfb24">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.103
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian"
         id="tmp-r-505aeea3-cb69-4009-9d99-66fe4f2c2b89">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="string(@typeCode)=('CST') or not(@typeCode)">(CDAcustodian): de waarde van @typeCode MOET 'CST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.103
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-24103573-00b1-4add-91bc-25a3ef33a92f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAcustodian): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.103
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-610558e5-8e8c-4a18-83bc-e911703821d9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAcustodian): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:id)&lt;=1">(CDAcustodian): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.103
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAcustodian)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-2eab588c-2c6a-4382-a93e-ed14fffc310b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]"
         id="tmp-r-cee730f1-b844-4eb7-b6f0-720cd0d5ba99">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@typeCode)=('IND')">(CDAParticipantContactperson): de waarde van @typeCode MOET 'IND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']/@nullFlavor)">(CDAParticipantContactperson): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(CDAParticipantContactperson): element hl7:associatedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(CDAParticipantContactperson): element hl7:associatedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']"
         id="tmp-r-e382cb95-3b55-4bac-82f3-83436126993f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantContactperson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.106')">(CDAParticipantContactperson): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.106' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity"
         id="tmp-r-979fb75f-7b1b-4700-afec-3b484a4b0ebe">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@classCode)=('PRS')">(CDAParticipantContactperson): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantContactperson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAParticipantContactperson): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(CDAParticipantContactperson): element hl7:associatedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(CDAParticipantContactperson): element hl7:associatedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:code
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:code"
         id="tmp-r-da7a7a72-5a0a-4305-a3d2-7a6ec12fca93">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantContactperson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantContactperson): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantContactperson): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:addr
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:addr"
         id="tmp-r-263ffeba-caf4-4026-b2eb-5c385aa17204">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantContactperson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:telecom
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:telecom"
         id="tmp-r-f1aedeea-bcc6-4fe1-82b2-77947d7e18a0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantContactperson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:associatedPerson
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-0768fa85-dca5-43c3-a866-01ced0ea9322">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAParticipantContactperson): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAParticipantContactperson): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-eab66c5f-c2f2-462d-a0c5-833c7d5d147e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9033
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf
Item: (kezo-CDAcomponentOfminimal)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf"
         id="tmp-r-b546d081-09a1-40e2-b68b-a1671c645d64">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(kezo-CDAcomponentOfminimal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:encompassingEncounter)&gt;=1 ">(kezo-CDAcomponentOfminimal): element hl7:encompassingEncounter is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:encompassingEncounter)&lt;=1">(kezo-CDAcomponentOfminimal): element hl7:encompassingEncounter komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9033
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter
Item: (kezo-CDAcomponentOfminimal)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter"
         id="tmp-r-27b4799d-6c5e-4e33-b6fa-f47d706a0a76">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="string(@classCode)=('ENC') or not(@classCode)">(kezo-CDAcomponentOfminimal): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(kezo-CDAcomponentOfminimal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(kezo-CDAcomponentOfminimal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:id)&lt;=1">(kezo-CDAcomponentOfminimal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(kezo-CDAcomponentOfminimal): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(kezo-CDAcomponentOfminimal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9033
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter/hl7:id
Item: (kezo-CDAcomponentOfminimal)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter/hl7:id"
         id="tmp-r-ad2ace65-81bc-4a9a-bcee-d46bebcda651">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAcomponentOfminimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9033
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter/hl7:effectiveTime
Item: (kezo-CDAcomponentOfminimal)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter/hl7:effectiveTime"
         id="tmp-r-6d41bfd6-779d-4175-a3f2-770f5242db0d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAcomponentOfminimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:low)&gt;=1 ">(kezo-CDAcomponentOfminimal): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:low)&lt;=1">(kezo-CDAcomponentOfminimal): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:high)&gt;=1 ">(kezo-CDAcomponentOfminimal): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="count(hl7:high)&lt;=1">(kezo-CDAcomponentOfminimal): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9033
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter/hl7:effectiveTime/hl7:low
Item: (kezo-CDAcomponentOfminimal)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter/hl7:effectiveTime/hl7:low"
         id="tmp-r-e1319fe4-e55c-421f-b39e-4d608f5f7dd6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAcomponentOfminimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9033
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter/hl7:effectiveTime/hl7:high
Item: (kezo-CDAcomponentOfminimal)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:componentOf/hl7:encompassingEncounter/hl7:effectiveTime/hl7:high"
         id="tmp-r-517a52bc-1a9a-4694-93e5-2dbb62bbb6a5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9033-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAcomponentOfminimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component
Item: (kezo-clinicaldocument-verwijzing)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component"
         id="tmp-r-4edbd6a7-eff1-434f-a03a-8c85bfe505b2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(kezo-clinicaldocument-verwijzing): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(kezo-clinicaldocument-verwijzing): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:structuredBody)&gt;=1 and not(hl7:structuredBody/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:structuredBody is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:structuredBody)&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:structuredBody komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component/hl7:structuredBody
Item: (kezo-clinicaldocument-verwijzing)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component/hl7:structuredBody"
         id="tmp-r-b24ea73b-adcb-4edd-af0e-df45adc55209">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="string(@classCode)=('DOCBODY') or not(@classCode)">(kezo-clinicaldocument-verwijzing): de waarde van @classCode MOET 'DOCBODY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(kezo-clinicaldocument-verwijzing): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.303']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.303']]/@nullFlavor)">(kezo-clinicaldocument-verwijzing): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.303']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.303']])&lt;=1">(kezo-clinicaldocument-verwijzing): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.303']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.50
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.303']]
Item: (kezo-clinicaldocument-verwijzing)
-->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.303']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(kezo-clinicaldocument-verwijzing): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.50-2014-06-27T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(kezo-clinicaldocument-verwijzing): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>
</pattern>
